> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-requests-overview/56.-upload-photos.md).

# 56. Fotók feltöltése

A fénykép S3-on keresztüli feltöltése 2 lépésből áll:

1. **Kérje le az előre aláírt hivatkozást a közvetlen feltöltéshez.**

Bemenetként:

* fileExtention - jpeg VAGY jpg VAGY png,
* farmUuid - a gazdaság UUID-je,
* fieldUuid - a tábla UUID-je,
* noteUuid - a jegyzet UUID-je, amelyhez a feltöltött fénykép közvetlen hivatkozása tartozik,
* commentUuid - a megjegyzés UUID-je, amelyhez a feltöltött fénykép közvetlen hivatkozása tartozik (nem kötelező).

Kimenetként:

* uuid - a feltöltés és feldolgozás után elvárt UUID,
* farmUuid - megegyezik a bemeneti értékkel,
* fieldUuid - megegyezik a bemeneti értékkel,
* noteUuid - megegyezik a bemeneti értékkel,
* commentUuid - megegyezik a bemeneti értékkel (ha volt ilyen),
* s3Url - a fénykép feltöltéséhez használt URL,
* s3Fields - a fénykép feltöltési űrlapján megadandó attribútumok.

Az s3Url és az s3Fields használatának részleteit a második lépés ismerteti.

A fénykép feltöltéséhez használt attribútumok csak 60 percig érvényesek.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation generatePresignedPostPhotoData {
  generatePresignedPostPhotoData(input:{
    farmUuid: "89196056-61e5-4bce-b676-d488d611a829" 
    fieldUuid: "586a2ef2-03e4-4715-846c-07a2f0cb3016"
    noteUuid: "4a94da1c-f655-4f17-961a-4b0323e5129c"
    fileExtention: jpeg
    
  } ) {
    uuid
    noteUuid
    fieldUuid
    farmUuid
    s3Url
    s3Fields
  }
}
```

{% endcode %}

2. **Töltsön fel egy helyi fényképet az s3Url címre az s3Fields előre megadott űrlapattribútumaival.**

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

A feldolgozásról szóló értesítések a GraphQL -> Példák -> részben ismertetett feliratkozási mechanizmuson keresztül érkeznek: [1. Feliratkozás: események lekérése](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-requests-overview/1.-subscription-get-events.md).

{% hint style="info" %}
Használja az ‘Accept-Encoding’:’gzip, deflate, br’ értéket.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-requests-overview/56.-upload-photos.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
